<?php

/*********************************************************************

 ユーザー数表示プラグイン (2014/06/20)

 I'll be NET（http://illbenet.jp）
 freo.jp

*********************************************************************/

/* メイン処理 */
function freo_display_user_count()
{
	global $freo;

	//ユーザー数・最終登録日時・最終更新日時取得
	$stmt = $freo->pdo->query('SELECT COUNT(*), MAX(created), MAX(modified) FROM ' . FREO_DATABASE_PREFIX . 'users');
	if (!$stmt) {
		freo_error($freo->pdo->errorInfo());
	}

	$data          = $stmt->fetch(PDO::FETCH_NUM);
	$user_count    = $data[0];
	$user_created  = $data[1];
	$user_modified = $data[2];

	//データ割当
	$freo->smarty->assign(array(
		'token'                    => freo_token('create'),
		'user_count'               => $user_count,
		'user_created'             => $user_created,
		'user_modified'            => $user_modified,
	));

	return;
}

?>
